/* General styles */


@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap');


html{
    box-sizing: border-box;
    scroll-padding-top: 95px; /* Adjust based on your header height */
    font-size: 16px;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Lato', sans-serif;
    background: #EFEFEF;
}

.structure {
    display: grid;
    grid-template-columns: 0.7fr 0.3fr;
    gap: 30px;
}

.header {
	margin-bottom: -30px; /* Remove gap between row 1 and 2 */
}
	

.menu, .header, .footer {
    grid-column: span 2;
}


.menu, .left, .header, .footer {
    padding-left: 10vw;
}

.menu, .right, .header, .footer {
    padding-right: 10vw;
}

.structure > div {
    /*background: cyan;*/
}


h1, h2, p, svg {
    padding: 0;
    margin: 0;
}


p{
    font-size: 1rem;
    line-height: 130%;
}

h1{
    font-size: 1.2em;
    line-height: 130%;
	font-weight: 700;
}

h2{
    font-size: 1.1em;
    line-height: 130%;
	font-weight: 700;
}


.menu{
    background: #016CB2;
    position: sticky; /* Makes the header sticky */
    top: 0; /* Sticks it to the top of the page */
    z-index: 1000; /* Ensures the header is above other content */
	display: flex;
}


/* Parent menu links */
.menu > .menu-item {
  position: relative;
  padding: 15px 25px;
  color: white;
  text-decoration: none;
  display: block;
}

/* Dropdown container (hidden by default) */
.menu-item .submenu {
  display: none;
  position: absolute;
  background: white;
  min-width: 150px;
  white-space: nowrap; /* Prevent text wrapping */
  top: 100%; /* Position it directly below the parent */
  left: 0; /* Align it with the left side of the parent */
}

/* Dropdown links */
.submenu a {
  display: block;
  padding: 15px 25px;
  color: #016CB2;;
  text-decoration: none;
  border-bottom: 1px solid #ccc; /* Add line between items */
}

.submenu a:last-child {
    border-bottom: none; /* Remove the border on the last item */
}

.submenu a:hover {
  color: white;
  background: #016CB2;
}

/* Show dropdown on hover */
.menu-item:hover .submenu {
  display: block;
}

.menu-item:hover {
  background: white;
  color: #016CB2;
}

.hero > .content > .bground{
  width: 100%; /* Full width */
  height: 350px; /* Set a height */
  background-size: cover; /* Make the image cover the element */
  background-repeat: no-repeat; /* Avoid repetition */
  background-position: center; /* Center the image */
}

.hero > .content > .bground > .box{
    background-color: rgba(0, 0, 0, 0.9);
    color: white;
    margin: 20px;
    width: 40%;
    height: auto;
    padding: 20px;
}



h1 {
    background: #016CB2;
    padding: 10px 20px;
    color: white;
}

svg {
    vertical-align: top; /* remove spurious bottom margin */
}

.container {
    background: white;
}



.container + .container {
  margin-top: 30px; /* Adds space between consecutive .container elements */
}

.content {
    padding: 20px;
    display: grid;
    column-gap: 20px;
    row-gap: 10px;
}

.textbox > .content {
    grid-template-columns: 1fr;
}

a.textlink{
    text-decoration: none;
    color: #016CB2;
}

a.textlink:hover {
    text-decoration: underline;
}

a.linkbutton{
	margin-top: 5px;
    text-decoration: none;
    background: darkgray;
	color: white;
	display: inline-block;
	padding: 5px 15px;
}

a.linkbutton:hover {
    background: #016CB2;
}


.left > .imagelist > .content{
     grid-template-columns: repeat(auto-fit, minmax(0px, 1fr)); /* horizontal */
}

.right > .imagelist > .content{
     grid-template-columns: repeat(auto-fit, minmax(1fr, 1fr)); /* vertical */
}

.imagelist .imgholder{
  display:block;
  width: 100%; /* Full width */
  height: 150px; /* Set a height */
  background-size: cover; /* Make the image cover the element */
  background-repeat: no-repeat; /* Avoid repetition */
  background-position: center; /* Center the image */
  margin-bottom: 5px;
}
}


.imagelist > .content > div > img {
    width: 100%;
}
.eventlist > .content{
    grid-template-columns: auto 1fr;
}

.filelist > .content {
     grid-template-columns: auto 1fr auto;
}

a.download{
    opacity:50%;
}

a.download:hover{
    opacity: 90%;
}
   

.content > div {
    /*background: yellow;*/
}


.header .imgholder{
	background-size: contain;
	background-position: top left;
	height: 80px;
	margin: 0;
}

.header h2, .header p {
	display: none;
}

.header,
.footer{
    background: #000;
    color: white;
}

.header .content,
.footer .content {
    grid-template-columns: repeat(auto-fit, minmax(0px, 1fr)); /* Flexible columns */
	background: #000;
}

.header h1,
.footer h1 {
    display: none;
}
